Error «requested datatype primary not available» en CentOS

Un error que puede aparecer a la hora de actualizar es que un repositorio no este disponible y a veces como es el caso no queda claro cual no esta disponible, por eso lo mejor es deshabilitar todos e ir habilitando de a uno, se podría deshabilitar desde los archivos de configuración de repositorio aunque hay un método menos engorroso, mas rapido y practico de hacerlo y es directamente desde